WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/January 2026/16 Jan 2026

Cardiff RFC 21–14 Wales U20

59 photographs Gareth Everett Friday
160126 - Cardiff RFC v Wales U20, Friendly match - Wales u20 head coach Richard Whiffin 001
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_001.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Wales u20 head coach Richard Whiffin
160126 - Cardiff RFC v Wales U20, Friendly match - Wales u20 head coach Richard Whiffin 002
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_002.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Wales u20 head coach Richard Whiffin
160126 - Cardiff RFC v Wales U20, Friendly match - Wales u20 head coach Richard Whiffin 003
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_003.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Wales u20 head coach Richard Whiffin
160126 - Cardiff RFC v Wales U20, Friendly match - Jack Woods of Wales is tackled by Dewi Cross of Cardiff RFC 004
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_004.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Jack Woods of Wales is tackled by Dewi Cross of Cardiff RFC
160126 - Cardiff RFC v Wales U20, Friendly match - Jack Woods of Wales is tackled by Dewi Cross of Cardiff RFC 005
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_005.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Jack Woods of Wales is tackled by Dewi Cross of Cardiff RFC
160126 - Cardiff RFC v Wales U20, Friendly match - Evan Minto of Wales charges for the line 006
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_006.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Evan Minto of Wales charges for the line
160126 - Cardiff RFC v Wales U20, Friendly match - Jack Woods of Wales is tackled just short of the line 007
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_007.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Jack Woods of Wales is tackled just short of the line
160126 - Cardiff RFC v Wales U20, Friendly match - Jack Woods of Wales is tackled just short of the line 008
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_008.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Jack Woods of Wales is tackled just short of the line
160126 - Cardiff RFC v Wales U20, Friendly match - Jack Woods of Wales is tackled just short of the line 009
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_009.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Jack Woods of Wales is tackled just short of the line
160126 - Cardiff RFC v Wales U20, Friendly match - Dylan Scott of Wales and Joe Goodchild of Cardiff RFC compete for the ball 010
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_010.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Dylan Scott of Wales and Joe Goodchild of Cardiff RFC compete for the ball
160126 - Cardiff RFC v Wales U20, Friendly match - Dylan Scott of Wales and Joe Goodchild of Cardiff RFC compete for the ball 011
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_011.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Dylan Scott of Wales and Joe Goodchild of Cardiff RFC compete for the ball
160126 - Cardiff RFC v Wales U20, Friendly match - Dylan Scott of Wales and Joe Goodchild of Cardiff RFC compete for the ball 012
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_012.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Dylan Scott of Wales and Joe Goodchild of Cardiff RFC compete for the ball
160126 - Cardiff RFC v Wales U20, Friendly match - Joe Williams of Cardiff RFC feeds the ball out 013
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_013.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Joe Williams of Cardiff RFC feeds the ball out
160126 - Cardiff RFC v Wales U20, Friendly match - Evan Minto of Wales takes on Ethan Phillips of Cardiff RFC 014
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_014.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Evan Minto of Wales takes on Ethan Phillips of Cardiff RFC
160126 - Cardiff RFC v Wales U20, Friendly match - Evan Minto of Wales takes on Ethan Phillips of Cardiff RFC 015
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_015.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Evan Minto of Wales takes on Ethan Phillips of Cardiff RFC
160126 - Cardiff RFC v Wales U20, Friendly match - Seffan Emanuel of Wales breaks away 016
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_016.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Seffan Emanuel of Wales breaks away
160126 - Cardiff RFC v Wales U20, Friendly match - Seffan Emanuel of Wales breaks away 017
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_017.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Seffan Emanuel of Wales breaks away
160126 - Cardiff RFC v Wales U20, Friendly match - Seffan Emanuel of Wales breaks away 018
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_018.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Seffan Emanuel of Wales breaks away
160126 - Cardiff RFC v Wales U20, Friendly match - Seffan Emanuel of Wales is tackled 019
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_019.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Seffan Emanuel of Wales is tackled
160126 - Cardiff RFC v Wales U20, Friendly match - Seffan Emanuel of Wales is tackled 020
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_020.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Seffan Emanuel of Wales is tackled
160126 - Cardiff RFC v Wales U20, Friendly match - Seffan Emanuel of Wales is tackled 021
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_021.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Seffan Emanuel of Wales is tackled
160126 - Cardiff RFC v Wales U20, Friendly match - Dylan Scott of Wales dives in to score try 022
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_022.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Dylan Scott of Wales dives in to score try
160126 - Cardiff RFC v Wales U20, Friendly match - Dylan Scott of Wales celebrates with Dom Kossuth of Wales after he dives in to score try 023
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_023.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Dylan Scott of Wales celebrates with Dom Kossuth of Wales after he dives in to score try
160126 - Cardiff RFC v Wales U20, Friendly match - Dylan Scott of Wales dives in to score try 024
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_024.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Dylan Scott of Wales dives in to score try
160126 - Cardiff RFC v Wales U20, Friendly match - Oscar Thomas of Wales powers over to score try 025
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_025.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Oscar Thomas of Wales powers over to score try
160126 - Cardiff RFC v Wales U20, Friendly match - Oscar Thomas of Wales powers over to score try 026
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_026.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Oscar Thomas of Wales powers over to score try
160126 - Cardiff RFC v Wales U20, Friendly match - Lloyd Lucas of Wales takes on Nathan Hudd of Cardiff RFC 027
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_027.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Lloyd Lucas of Wales takes on Nathan Hudd of Cardiff RFC
160126 - Cardiff RFC v Wales U20, Friendly match - Tom Williams of Cardiff RFC and Osian Darwin-Lewis of Wales compete for the ball 028
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_028.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Tom Williams of Cardiff RFC and Osian Darwin-Lewis of Wales compete for the ball
160126 - Cardiff RFC v Wales U20, Friendly match - Tom Williams of Cardiff RFC and Osian Darwin-Lewis of Wales compete for the ball 029
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_029.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Tom Williams of Cardiff RFC and Osian Darwin-Lewis of Wales compete for the ball
160126 - Cardiff RFC v Wales U20, Friendly match - Evan Morris of Wales takes on Dewi Cross of Cardiff RFC 030
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_030.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Evan Morris of Wales takes on Dewi Cross of Cardiff RFC
160126 - Cardiff RFC v Wales U20, Friendly match - Evan Morris of Wales takes on Dewi Cross of Cardiff RFC 031
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_031.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Evan Morris of Wales takes on Dewi Cross of Cardiff RFC
160126 - Cardiff RFC v Wales U20, Friendly match - Osian Williams of Wales is tackled by Aled Ward of Cardiff RFC 032
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_032.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Osian Williams of Wales is tackled by Aled Ward of Cardiff RFC
160126 - Cardiff RFC v Wales U20, Friendly match - Dylan Scott of Wales charges for the line 033
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_033.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Dylan Scott of Wales charges for the line
160126 - Cardiff RFC v Wales U20, Friendly match - Dylan Scott of Wales charges for the line 034
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_034.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Dylan Scott of Wales charges for the line
160126 - Cardiff RFC v Wales U20, Friendly match - Dylan Scott of Wales charges for the line 035
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_035.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Dylan Scott of Wales charges for the line
160126 - Cardiff RFC v Wales U20, Friendly match - Lloyd Lucas of Wales kicks conversion 036
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_036.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Lloyd Lucas of Wales kicks conversion
160126 - Cardiff RFC v Wales U20, Friendly match - Osian Darwin-Lewis of Wales breaks for the line 037
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_037.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Osian Darwin-Lewis of Wales breaks for the line
160126 - Cardiff RFC v Wales U20, Friendly match - Osian Darwin-Lewis of Wales breaks for the line 038
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_038.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Osian Darwin-Lewis of Wales breaks for the line
160126 - Cardiff RFC v Wales U20, Friendly match - Osian Darwin-Lewis of Wales breaks for the line 039
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_039.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Osian Darwin-Lewis of Wales breaks for the line
160126 - Cardiff RFC v Wales U20, Friendly match - Dylan James of Wales charges forward 040
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_040.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Dylan James of Wales charges forward
160126 - Cardiff RFC v Wales U20, Friendly match - Dylan James of Wales charges forward 041
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_041.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Dylan James of Wales charges forward
160126 - Cardiff RFC v Wales U20, Friendly match - Lloyd Lucas of Wales 042
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_042.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Lloyd Lucas of Wales
160126 - Cardiff RFC v Wales U20, Friendly match - Dylan Scott of Wales charges for the line 043
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_043.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Dylan Scott of Wales charges for the line
160126 - Cardiff RFC v Wales U20, Friendly match - Players and management from both teams join the guard of honour and ball team at the end of the match 044
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_044.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Players and management from both teams join the guard of honour and ball team at the end of the match
160126 - Cardiff RFC v Wales U20, Friendly match - Players and management from both teams join the guard of honour and ball team at the end of the match 045
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_045.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Players and management from both teams join the guard of honour and ball team at the end of the match
160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match 046
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_046.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match
160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match 047
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_047.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match
160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match 048
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_048.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match
160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match 049
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_049.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match
160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match 050
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_050.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match
160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match 051
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_051.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match
160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match 052
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_052.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match
160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match 053
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_053.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match
160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match 054
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_054.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match
160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match 055
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_055.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match
160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match 056
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_056.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - The Wales team huddle up at the end of the match
160126 - Cardiff RFC v Wales U20, Friendly match - Wales u20 head coach Richard Whiffin speaks to the players  at the end of the match 057
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_057.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Wales u20 head coach Richard Whiffin speaks to the players at the end of the match
160126 - Cardiff RFC v Wales U20, Friendly match - Wales u20 head coach Richard Whiffin speaks to the players  at the end of the match 058
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_058.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Wales u20 head coach Richard Whiffin speaks to the players at the end of the match
160126 - Cardiff RFC v Wales U20, Friendly match - Wales u20 head coach Richard Whiffin speaks to the players  at the end of the match 059
CDF_160126_GE_Cardiff_RFC_v_Wales_U20_059.jpg · Gareth Everett160126 - Cardiff RFC v Wales U20, Friendly match - Wales u20 head coach Richard Whiffin speaks to the players at the end of the match

More from around this date

Fri 16 JanDragons 35-12 Newcastle Red Bulls Sat 17 JanGillingham 3-2 Newport County Sat 17 JanTreorchy 38-29 Aberdare Sat 17 JanBradford City 1-2 Cardiff City Sat 17 JanSwansea City 1-1 Birmingham City Sat 17 JanGwalia Lightning 31-17 Edinburgh Rugby Sat 17 JanOspreys 26-31 Montpellier Sun 18 JanNorthampton Saints 43-28 Scarlets
Cardiff RFC 21-14 Wales U20 · 16 Jan 2026
Photo detail
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured